Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Log_Msg_IPC.h File Reference

`#include "ace/Log_Msg_Backend.h"`
`#include "ace/SOCK_Connector.h"`

Include dependency graph for Log_Msg_IPC.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Log_Msg_IPC
| Defines the interfaces for ACE_Log_Msg backend. More...
## Typedefs
typedef ACE_SOCK_Stream | ACE_LOG_MSG_IPC_STREAM
typedef ACE_SOCK_Connector | ACE_LOG_MSG_IPC_CONNECTOR
typedef ACE_INET_Addr | ACE_LOG_MSG_IPC_ADDR

## Detailed Description

Id:
  Log_Msg_IPC.h,v 4.4 2003/07/19 19:04:11 dhinton Exp

Author:
  Carlos O'Ryan <coryan@uci.edu>

## Typedef Documentation

typedef ACE_INET_Addr ACE_LOG_MSG_IPC_ADDR

typedef ACE_SOCK_Connector ACE_LOG_MSG_IPC_CONNECTOR

typedef ACE_SOCK_Stream ACE_LOG_MSG_IPC_STREAM